org.apache.lucene.facet.search

## Enum FacetRequest.ResultMode

- java.lang.Object
- - java.lang.Enum<FacetRequest.ResultMode>
  - - org.apache.lucene.facet.search.FacetRequest.ResultMode

All Implemented Interfaces:
  Serializable, Comparable<FacetRequest.ResultMode>

Enclosing class:
  FacetRequest

    public static enum FacetRequest.ResultMode
    extends Enum<FacetRequest.ResultMode>

Result structure manner of applying request's limits such as `FacetRequest.getNumLabel()` and `FacetRequest.numResults`. Only relevant when `FacetRequest.getDepth()` is > 1.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GLOBAL_FLAT` Limits are applied globally, on total number of results, and the result has a flat structure.
`PER_NODE_IN_TREE` Limits are applied per node, and the result has a full tree structure.

### Method Summary

Methods
`static FacetRequest.ResultMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FacetRequest.ResultMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PER_NODE_IN_TREE

    public static final FacetRequest.ResultMode PER_NODE_IN_TREE

Limits are applied per node, and the result has a full tree structure.

#### GLOBAL_FLAT

    public static final FacetRequest.ResultMode GLOBAL_FLAT

Limits are applied globally, on total number of results, and the result has a flat structure.

### Method Detail

#### values

    public static FacetRequest.ResultMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FacetRequest.ResultMode c : FacetRequest.ResultMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FacetRequest.ResultMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null